import { FeatureType, TextEntity, TextRelation, GraphElement } from '@csnext/cs-data';
import { Observation } from '..';
export declare class GraphDocument extends GraphElement {
    editedText?: string;
    entities?: TextEntity[];
    relations?: TextRelation[];
    observations?: Observation[];
    suggestedObservation?: FeatureType[];
    reliability?: string;
    credibility?: string;
    note?: string;
    sourceId?: string;
    doc: any;
    notes?: DocumentNote[];
    get name(): string;
    constructor(element?: GraphElement);
    get _node(): GraphElement;
    getNode(): GraphElement;
}
export declare class DocumentNote {
    start?: number;
    end?: number;
    text?: string;
    note?: string;
}
